{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  inputs.home.url = "git+https://git.sondell.org/glennwso/home.git";
  inputs.home.inputs.nixpkgs.follows = "nixpkgs";
  inputs.nixos-mailserver = {
    url = "gitlab:simple-nixos-mailserver/nixos-mailserver";
    inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = { self, nixpkgs, home, nixos-mailserver}@attrs:
  let 
    system = "x86_64-linux";
    homepage = home.packages.${system}.default;
    mailserver = nixos-mailserver.nixosModules.default;
  in
   {
    # replace 'joes-desktop' with your hostname here.
    nixosConfigurations.nixos = nixpkgs.lib.nixosSystem 
    {
      inherit system;
      specialArgs = attrs;
      modules = [ 
        ./configuration.nix 
        ./audiobooks.nix 
        ./tunnel.nix
        ./forgejo.nix 
        ./nextcloud.nix 
        ./jellyfin.nix 
        ./filebrowser.nix
        ./tail.nix
        ./matrix.nix
        ./coturn.nix  
        (import ./mail.nix {inherit mailserver;})
        (import ./homepage.nix {inherit homepage;})
      ];

    };
  };
}
